

%% pre linux box up to hmin
clear all
flumeimagename = 'grid_18_42_hs1.tif';
A = imread(flumeimagename);
A = rgb2gray(A);
hmin=1;
[disttransform, E] = identifygrains2_ellipse_int('grid_18_42_hs1.tif',A,1,5,3,35,1,hmin,1,1,1,1,0);
save results1temp.mat E disttransform

%% for linux box hmin1:
clear all
load results1temp
hminthresh=1;
disttransform = imhmin(disttransform,hminthresh);
fprintf(1,'finished hmin\n');
F = watershed(disttransform);
fprintf(1,'finished watershed\n')
save postwatershed1.mat F E

%% post linux box hmin1
clear all
load postwatershed1.mat
grains1temp = identifygrains2_ellipse_int2(F,E,1,1,1,1,1,0);
save results1.mat grains1temp

%% for my machine hmin0:
clear all
flumeimagename = 'grid_18_42_hs1.tif';
A = imread(flumeimagename);
A = rgb2gray(A);
hmin=0;
[disttransform, E] = identifygrains2_ellipse_int('grid_18_42_hs1.tif',A,1,5,3,35,1,hmin,1,1,1,1,0);
% grains0temp = identifygrains2_ellipse('grid_18_42_hs1.tif',A,1,5,3,35,1,hmin,1,1,1,1,0);
save results0temp.mat E disttransform

%% for linux box hmin0
clear all
load results0temp
F = watershed(disttransform);
fprintf(1,'finished watershed\n')
save postwatershed0.mat F E

%% post linux box hmin0
clear all
load postwatershed0.mat
grains0temp = identifygrains2_ellipse_int2(F,E,1,1,1,1,1,0);
save results0.mat grains0temp